# Simplified Z Drive Motor Mount

### Issues with original design
I have had issues with  alignment on the 188mm Z drive belts causing the belt to rub on the motor pulley. I found that the motor mount was difficult to align squarely with the frame and this was causing the pulley misalignment. I haven't noticed any print issues caused by this misalignment but it will prematurely wear the belts, not to mention that the rubbing noise is not something I'm happy to live with on a £1200 printer.

I found the problem was caused by the design of the tensioner which means there isn't much space for the alignment key feature used to align the motor mount into the aluminium extrusion of the frame (shown highlighted in blue).

![](Small_key.JPG?raw=true)

### Simplified design
I have simplified the design by combining the tensioner into the motor mount. Belt tensioning works by a small protrusion which pushes against the side of the Z drive housing (inspired by the original design). I have tried to keep the belt tension the same as is acheived in the original design. Assembly is surprisingly straightforward and cuts out a few of the steps required with a separate tensioning arm.

Combining the tensioner into the motor mount has created space for the extrusion slot key to be extended across the entire face of the motor mount, allowing for the key to work more effectively in aligning the motor mount squarely to the frame and ensuring that the motor pulley is aligned with the belt and 80T driven pulley.

![](Long_key.JPG?raw=true)

The only downside I see is to the 'cool factor' The original design looked pretty awesome with the contrast of the tensioner handle, now it is a bit boring looking if I'm honest but it is very functional. I'll leave it up to you to decide whether its worth the change.
